#
View Source Ash.Query.Function.If (ash v2.14.2)

If predicate is truthy, then the second argument is returned, otherwise the third.

# Link to this section Summary

## Functions

args()
eager_evaluate?()
evaluate(arg1)
name()
new(args)
partial_evaluate(fun)
predicate?()
private?()

# Link to this section Functions

Link to this function

# args()

View Source
Link to this function

# eager_evaluate?()

View Source
Link to this function

# evaluate(arg1)

View Source
Link to this function

# name()

View Source
Link to this function

# new(args)

View Source
Link to this function

# partial_evaluate(fun)

View Source
Link to this function

# predicate?()

View Source
Link to this function

# private?()

View Source